package com.ruoyi.ss.suitTemp.service.impl;

import com.ruoyi.ss.suitTemp.domain.SuitTemp;
import com.ruoyi.ss.suitTemp.domain.SuitTempVO;
import com.ruoyi.ss.suitTemp.service.SuitTempService;
import com.ruoyi.ss.suitTemp.service.SuitTempValidator;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.RestController;

import java.util.Objects;

/**
 * @author wjh
 * 2024/7/15
 */
@Service
public class SuitTempValidatorImpl implements SuitTempValidator {

    @Autowired
    private SuitTempService suitTempService;

    @Override
    public boolean checkBelong(SuitTemp temp, Long userId) {
        return userId != null && Objects.equals(temp.getUserId(), userId);
    }

    @Override
    public boolean checkBelong(Long tempId, Long userId) {
        SuitTempVO temp = suitTempService.selectSuitTempByTempId(tempId);
        return this.checkBelong(temp, userId);
    }
}
